require("../../../_virtual/_rolldown/runtime.cjs");
let lit = require("lit");
let lit_directives_style_map_js = require("lit/directives/style-map.js");
//#region src/components/lukso-icon/icons/turn-left.ts
var turnLeft = (options) => {
	return lit.html`<svg
    width="24"
    height="24"
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    style=${(0, lit_directives_style_map_js.styleMap)({
		width: `${options.width}px`,
		height: `${options.height}px`
	})}
  >
    <path
      d="M9.82847 5.99999C8.53981 7.28865 7 8.82837 7 8.82837L9.82843 11.6568"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M16 17V11.8284C16 10.1715 14.6569 8.82837 13 8.82837H8"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
  </svg> `;
};
//#endregion
exports.turnLeft = turnLeft;
